

IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[_movimientosElemento]') AND type in (N'P', N'PC'))
DROP PROCEDURE [_movimientosElemento]
GO
CREATE procedure [_movimientosElemento]	
@p_id int = 0
as
begin

if exists(select * from [cat_catalogo.equipo] where id=@p_id)
begin
select  alq.prefijo +'-'+ CAST(alq.documento_numero  as varchar(100))as alquiler
,count(distinct detalle .id_equipo) as 'calq'
,ter.tercero 
 from equ_detallealquiler detalle
inner join ter_tercero ter on detalle .id_tercero=ter.id and detalle.active =1 and ter.id>0
inner join doc_documento  alq on alq.id=detalle.[id_documento.alquiler] and alq.id>0
inner join equ_equipo equ on equ.id=detalle.id_equipo

where equ.[id_catalogo.equipo]=@p_id
group by ter.tercero ,alq.prefijo,alq.documento_numero
end 
else
begin
select 
alq.prefijo +'-'+ CAST(alq.documento_numero  as varchar(100))as alquiler
,sum(cantidadAlquilada) as 'calq'
,ter.tercero 
 from equ_detallealquiler detalle
inner join ter_tercero ter on detalle .id_tercero=ter.id and detalle.active =1 and ter.id>0
inner join doc_documento  alq on alq.id=detalle.[id_documento.alquiler] and alq.id>0
where detalle.id_catalogo=@p_id
group by ter.tercero ,alq.prefijo,alq.documento_numero

end


end 